Bug 444129 - 3D desktop support broken at higher resolutions
3D desktop support broken at higher resolutions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 05:31 EDT by Dirk Nehring
Modified: 2009-01-09 02:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:47:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a actual screenshot with 1400x1050. (799.00 KB, image/png)
2008-04-25 05:36 EDT, Dirk Nehring
no flags Details
xorg.conf (1.17 KB, text/plain)
2008-04-25 11:26 EDT, Dirk Nehring
no flags Details
Xorg.0.log (65.00 KB, text/plain)
2008-04-25 11:27 EDT, Dirk Nehring
no flags Details

  None (edit)
Description Dirk Nehring 2008-04-25 05:31:46 EDT
Description of problem:
I have a laptop with a Radion RV250 (Mobility FireGL 9000). With the latest
xorg-x11-drv-ati driver, compiz effects are limits to a horizontal resolution of
1024 pixels, anything over this is scrambled.

Version-Release number of selected component (if applicable):
xorg-x11-drv-calcomp-1.1.0-4.fc8
compiz-0.6.2-3.fc8


Additional info:

3D support works with Ubuntu 7.x and the latest Knoppix distribution.
Comment 1 Dirk Nehring 2008-04-25 05:36:14 EDT
Created attachment 303764 [details]
This is a actual screenshot with 1400x1050.
Comment 2 Matěj Cepl 2008-04-25 09:37:49 EDT
If you switch off desktop effects, and then run

gconftool-2 --type bool --set /apps/metacity/general/compositing_manager true

could you still reproduce the bug?
Comment 3 Matěj Cepl 2008-04-25 09:40:00 EDT
Sorry, scrap the previous comment. It doesn't apply to Fedora 8. Please attach
instead your X server config file (/etc/X11/xorg.conf) and X server log file
(/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Dirk Nehring 2008-04-25 11:26:34 EDT
Created attachment 303793 [details]
xorg.conf
Comment 5 Dirk Nehring 2008-04-25 11:27:00 EDT
Created attachment 303795 [details]
Xorg.0.log
Comment 6 Dirk Nehring 2008-04-25 11:27:52 EDT
The bug only occurs when compiz is enabled, if I disable 3D desktop support, it
works like a charm in all resolutions!
Comment 7 Dirk Nehring 2008-04-25 11:33:40 EDT
OK, it look's like a colour depth issue: it works in 16bit, but not in 24bit.
Comment 8 Adam Jackson 2008-04-25 12:33:30 EDT
It's actually a memory issue.

The maximum texture size reported by OpenGL is the largest power-of-two size at
which, if you load one texture of that size in each texture image unit, they'll
still all fit.  This often ends up being smaller than your root window's size. 
Since compiz works by binding pixmaps to textures, the biggest thing it can use
as a texture is only 1024x1024 for you, in 32bpp.  In 16bpp you use half as much
memory for textures and front/back/depth buffers, so it works fine.
Comment 9 Bug Zapper 2008-11-26 05:34:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:47:39 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.